f



python-2.7.3 vs python-3.2.3

Greetings;

I have need of using a script written for python3, but the default python 
on wheezy is 2.7.3.

I see in the wheezy repos that 3.2.3-6 is available.

Can/will they co-exist peacefully?

Thank you.

Cheers, Gene Heskett
-- 
"There are four boxes to be used in defense of liberty:
 soap, ballot, jury, and ammo. Please use in that order."
-Ed Howdershelt (Author)
Genes Web page <http://geneslinuxbox.net:6309/gene>
0
Gene
1/26/2016 12:26:55 PM
comp.lang.python 77058 articles. 6 followers. Post Follow

1 Replies
1094 Views

Similar Articles

[PageSpeed] 58

On 26/01/16 13:26, Gene Heskett wrote:
> Greetings;
>
> I have need of using a script written for python3, but the default python
> on wheezy is 2.7.3.
>
> I see in the wheezy repos that 3.2.3-6 is available.
>
> Can/will they co-exist peacefully?
>
> Thank you.
>
> Cheers, Gene Heskett
>

On Debian Jessie :

$ ls -F /usr/bin/pyth*
/usr/bin/python@     /usr/bin/python3@     /usr/bin/python3m@
/usr/bin/python2@    /usr/bin/python3.4*
/usr/bin/python2.7*  /usr/bin/python3.4m*

.... so it seems they can co-exist peacefully.

0
Grobu
1/26/2016 2:30:19 PM
Reply: